Blame SOURCES/kvm-tests-Fix-schema-parser-test-for-in-tree-build.patch

0a122b
From ba8738a0a615a51984a60be2f987b98789968fb6 Mon Sep 17 00:00:00 2001
0a122b
Message-Id: <ba8738a0a615a51984a60be2f987b98789968fb6.1387369730.git.minovotn@redhat.com>
0a122b
In-Reply-To: <091eecc4fa42754760dfff393dabcc2b444e9693.1387369730.git.minovotn@redhat.com>
0a122b
References: <091eecc4fa42754760dfff393dabcc2b444e9693.1387369730.git.minovotn@redhat.com>
0a122b
From: Markus Armbruster <armbru@redhat.com>
0a122b
Date: Tue, 10 Dec 2013 15:29:21 +0100
0a122b
Subject: [PATCH 21/21] tests: Fix schema parser test for in-tree build
0a122b
MIME-Version: 1.0
0a122b
Content-Type: text/plain; charset=UTF-8
0a122b
Content-Transfer-Encoding: 8bit
0a122b
0a122b
RH-Author: Markus Armbruster <armbru@redhat.com>
0a122b
Message-id: <1386689361-30281-19-git-send-email-armbru@redhat.com>
0a122b
Patchwork-id: 56133
0a122b
O-Subject: [PATCH 7.0 qemu-kvm 18/18] tests: Fix schema parser test for in-tree build
0a122b
Bugzilla: 997915
0a122b
RH-Acked-by: Laszlo Ersek <lersek@redhat.com>
0a122b
RH-Acked-by: Kevin Wolf <kwolf@redhat.com>
0a122b
RH-Acked-by: Luiz Capitulino <lcapitulino@redhat.com>
0a122b
0a122b
From: Markus Armbruster <armbru@redhat.com>
0a122b
0a122b
Commit 4f193e3 added the test, but screwed up in-tree builds
0a122b
(SRCDIR=.): the tests's output overwrites the expected output, and is
0a122b
thus compared to itself.
0a122b
0a122b
Cc: qemu-stable@nongnu.org
0a122b
Reported-by: Laszlo Ersek <lersek@redhat.com>
0a122b
Reviewed-by: Andreas Färber <afaerber@suse.de>
0a122b
Reviewed-by: Laszlo Ersek <lersek@redhat.com>
0a122b
Signed-off-by: Markus Armbruster <armbru@redhat.com>
0a122b
Signed-off-by: Michael Tokarev <mjt@tls.msk.ru>
0a122b
(cherry picked from commit d8039e58b1ecfdc9af171502c83e3949f6dafb95)
0a122b
---
0a122b
 tests/.gitignore | 1 +
0a122b
 tests/Makefile   | 8 ++++----
0a122b
 2 files changed, 5 insertions(+), 4 deletions(-)
0a122b
0a122b
Signed-off-by: Michal Novotny <minovotn@redhat.com>
0a122b
---
0a122b
 tests/.gitignore | 1 +
0a122b
 tests/Makefile   | 8 ++++----
0a122b
 2 files changed, 5 insertions(+), 4 deletions(-)
0a122b
0a122b
diff --git a/tests/.gitignore b/tests/.gitignore
0a122b
index fb05c2a..d9c2ef4 100644
0a122b
--- a/tests/.gitignore
0a122b
+++ b/tests/.gitignore
0a122b
@@ -19,3 +19,4 @@ test-thread-pool
0a122b
 test-x86-cpuid
0a122b
 test-xbzrle
0a122b
 *-test
0a122b
+qapi-schema/*.test.*
0a122b
diff --git a/tests/Makefile b/tests/Makefile
0a122b
index a38f360..3d196aa 100644
0a122b
--- a/tests/Makefile
0a122b
+++ b/tests/Makefile
0a122b
@@ -233,10 +233,10 @@ check-tests/test-qapi.py: tests/test-qapi.py
0a122b
 
0a122b
 .PHONY: $(patsubst %, check-%, $(check-qapi-schema-y))
0a122b
 $(patsubst %, check-%, $(check-qapi-schema-y)): check-%.json: $(SRC_PATH)/%.json
0a122b
-	$(call quiet-command, PYTHONPATH=$(SRC_PATH)/scripts $(PYTHON) $(SRC_PATH)/tests/qapi-schema/test-qapi.py <$^ >$*.out 2>$*.err; echo $$? >$*.exit, "  TEST  $*.out")
0a122b
-	@diff -q $(SRC_PATH)/$*.out $*.out
0a122b
-	@diff -q $(SRC_PATH)/$*.err $*.err
0a122b
-	@diff -q $(SRC_PATH)/$*.exit $*.exit
0a122b
+	$(call quiet-command, PYTHONPATH=$(SRC_PATH)/scripts $(PYTHON) $(SRC_PATH)/tests/qapi-schema/test-qapi.py <$^ >$*.test.out 2>$*.test.err; echo $$? >$*.test.exit, "  TEST  $*.out")
0a122b
+	@diff -q $(SRC_PATH)/$*.out $*.test.out
0a122b
+	@diff -q $(SRC_PATH)/$*.err $*.test.err
0a122b
+	@diff -q $(SRC_PATH)/$*.exit $*.test.exit
0a122b
 
0a122b
 # Consolidated targets
0a122b
 
0a122b
-- 
0a122b
1.7.11.7
0a122b